diff --git a/usr/bin/microsoft-edge-stable b/usr/bin/microsoft-edge-stable
deleted file mode 120000
index 275612f..0000000
--- a/usr/bin/microsoft-edge-stable
+++ /dev/null
@@ -1 +0,0 @@
-/opt/microsoft/msedge/microsoft-edge
\ No newline at end of file
diff --git a/usr/bin/microsoft-edge-stable b/usr/bin/microsoft-edge-stable
new file mode 100755
index 0000000..b8c06ea
--- /dev/null
+++ b/usr/bin/microsoft-edge-stable
@@ -0,0 +1,15 @@
+#!/usr/bin/env sh
+# Launches MS Edge with flags specified in $XDG_CONFIG_HOME/microsoft-edge-beta-flags.conf
+
+# Make script fail if `cat` fails for some reason
+set -e
+
+# Set default value if variable is unset/null
+XDG_CONFIG_HOME="${XDG_CONFIG_HOME:-${HOME}/.config}"
+
+# Attempt to read a config file if it exists
+if [ -r "${XDG_CONFIG_HOME}/microsoft-edge-stable-flags.conf" ]; then
+ EDGE_USER_FLAGS="$(cat "$XDG_CONFIG_HOME/microsoft-edge-stable-flags.conf")"
+fi
+
+exec /usr/lib64/msedge/microsoft-edge $EDGE_USER_FLAGS "$@"
diff --git a/usr/lib64/msedge/default-app-block b/usr/lib64/msedge/default-app-block
index 7ac7165..7ad030e 100644
--- a/usr/lib64/msedge/default-app-block
+++ b/usr/lib64/msedge/default-app-block
@@ -1,10 +1,10 @@
Microsoft Edge
- /opt/microsoft/msedge/microsoft-edge
- /opt/microsoft/msedge/microsoft-edge %s
+ /usr/lib64/msedge/microsoft-edge
+ /usr/lib64/msedge/microsoft-edge %s
microsoft-edge
false
true
- /opt/microsoft/msedge/microsoft-edge %s
- /opt/microsoft/msedge/microsoft-edge --new-window %s
+ /usr/lib64/msedge/microsoft-edge %s
+ /usr/lib64/msedge/microsoft-edge --new-window %s
diff --git a/usr/share/gnome-control-center/default-apps/microsoft-edge.xml b/usr/share/gnome-control-center/default-apps/microsoft-edge.xml
index 80dec09..fbdf731 100644
--- a/usr/share/gnome-control-center/default-apps/microsoft-edge.xml
+++ b/usr/share/gnome-control-center/default-apps/microsoft-edge.xml
@@ -8,13 +8,13 @@
Microsoft Edge
- /opt/microsoft/msedge/microsoft-edge
- /opt/microsoft/msedge/microsoft-edge %s
+ /usr/lib64/msedge/microsoft-edge
+ /usr/lib64/msedge/microsoft-edge %s
microsoft-edge
false
true
- /opt/microsoft/msedge/microsoft-edge %s
- /opt/microsoft/msedge/microsoft-edge --new-window %s
+ /usr/lib64/msedge/microsoft-edge %s
+ /usr/lib64/msedge/microsoft-edge --new-window %s
diff --git a/usr/share/menu/microsoft-edge.menu b/usr/share/menu/microsoft-edge.menu
new file mode 100644
index 0000000..7871356
--- /dev/null
+++ b/usr/share/menu/microsoft-edge.menu
@@ -0,0 +1,6 @@
+?package(microsoft-edge-stable):needs="x11" \
+ section="Applications/Network/Web Browsing" \
+ hints="Web browsers" \
+ title="Microsoft Edge" \
+ icon="/usr/lib64/msedge/product_logo_32.xpm" \
+ command="/usr/lib64/msedge/microsoft-edge"